%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name XML_Beautifier

Name:           php-pear-XML-Beautifier
Version:        1.1
Release:        3%{?dist}
Summary:        Class to format XML documents

Group:          Development/Libraries
License:        PHP License
URL:            http://pear.php.net/package/XML_Beautifier
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source1:        PHP-LICENSE-3.01
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR) php-pear(XML_Util) php-pear(XML_Parser)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
XML_Beautifier is a package, that helps you making XML documents easier to
read for human beings.

It is able to add line-breaks, indentation, sorts attributes, convert tag
cases and wraps long comments. It recognizes tags, character data, comments,
XML declarations, processing instructions and external entities and is able
to format these tokens nicely.

The document is split into these tokens using the XML_Beautifier_Tokenizer
class and the expat parser. Then a renderer is used to create the string
representation of the document and formats it using the specified options.

Currently only one renderer is available, but as XML_Beautifier uses a
driver-based architecture, other renderers (like syntax-highlighting)
will follow soon. 


%prep
%setup -qc
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml
install -pm 644 -c %{SOURCE1} LICENSE
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc LICENSE %{pear_name}-%{version}/docdir/%{pear_name}/*
%{pear_xmldir}/%{pear_name}.xml
%{pear_phpdir}/XML/Beautifier*


%changelog
* Thu Oct 23 2008 Christopher Stone <chris.stone@gmail.com> 1.1-3
- Update LICENSE to version 3.01

* Sun Jan 14 2007 Christopher Stone <chris.stone@gmail.com> 1.1-2
- Add license to %%files

* Sat Oct 14 2006 Christopher Stone <chris.stone@gmail.com> 1.1-1
- Initial release
